import { PlayerSetting, WorldSetting } from './type.js';

const PLAYER_SETTINGS = [];
const WORLD_SETTINGS = [];
function registerPlayerSetting(defaultValue, key) {
    const setting = new PlayerSetting(defaultValue, key);
    PLAYER_SETTINGS.push(setting);
    return setting;
}
function registerWorldSetting(defaultValue, key) {
    const setting = new WorldSetting(defaultValue, key);
    WORLD_SETTINGS.push(setting);
    return setting;
}
const PLAYER_SNEAK_GROW_ITEM = registerPlayerSetting(true, "sneak_grow_item");
const PLAYER_SNEAK_GRASS_ROCKS = registerPlayerSetting(true, "sneak_grass_rocks");
const WORLD_SNEAK_GROW_CHANCE = registerWorldSetting(33, "sneak_grow_chance");

export { PLAYER_SETTINGS, PLAYER_SNEAK_GRASS_ROCKS, PLAYER_SNEAK_GROW_ITEM, WORLD_SETTINGS, WORLD_SNEAK_GROW_CHANCE };
